﻿@using MyTube.Entities
@{
    User loggedUser = Session["loggedUser"] == null
                                ? null
                                : (User)Session["loggedUser"];
}

<!DOCTYPE html>
<html>
<head>
    <title>@Page.Title</title>
    @RenderSection("head", required: false)

    <link rel="stylesheet" type="text/css" href="~/CSS/sitestyle.css">

</head>
<body>
    <div class="head">
        <h1 class="left"><a href="/Home/Index">My Tube</a></h1>
        <div class="right">Hello, @(loggedUser == null ? "whoever you are" : loggedUser.Username) </div>
    </div>
    <div class="nav-bar">
        @if (loggedUser == null)
        {
            <a href="/Home/Login">Login</a>
            <a href="/Home/Register">Register</a>
        }
        else
        {
            <a href="/Home/Logout">Logout</a>
            <a href="/Video/Index">All videos</a>
            <a href="/PlayList/Index">Play List</a>
        }
    </div>
    
  
    @RenderBody()
</body>
</html>
